%define pkgname ndesk-dbus-1.0

Summary: Managed D-Bus implementation
Name: ndesk-dbus
Version: 0.6.1a
Release: %mkrel 17
Source0: http://www.ndesk.org/archive/dbus-sharp/%{name}-%{version}.tar.gz
License: MIT
Group: System/Libraries
Url: http://www.ndesk.org/DBusSharp
BuildRequires: pkgconfig(mono)
BuildArch: noarch

%description
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%package devel
Summary: Development files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
dbus-sharp is a C# implementation of D-Bus. It's often referred to as
"managed D-Bus" to avoid confusion with existing bindings (which wrap
libdbus).

D-Bus is an inter-process communication framework that lets
applications interface with the system event bus as well as allowing
them to talk to one another in a peer-to-peer configuration.

%prep
%setup -q

sed -i "s#gmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g" configure.ac

%build
# to recognize aarch64
autoreconf -vfi

./configure --prefix=%_prefix
%make_build

%install
%make_install pkgconfigdir=%_datadir/pkgconfig

%files
%doc README COPYING
%_prefix/lib/mono/%pkgname
%_prefix/lib/mono/gac/NDesk.DBus/

%files devel
%doc examples
%_datadir/pkgconfig/%pkgname.pc




%changelog
* Mon Sep 21 2020 tv <tv> 0.6.1a-17.mga8
+ Revision: 1629223
- rebuild mono fixed mono for proper mono provides & requires...

* Mon Sep 21 2020 tv <tv> 0.6.1a-16.mga8
+ Revision: 1629063
- rebuild for new mono

* Wed Feb 12 2020 umeabot <umeabot> 0.6.1a-15.mga8
+ Revision: 1492184
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.6.1a-14.mga7
+ Revision: 1264659
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Dec 04 2015 neoclust <neoclust> 0.6.1a-12.mga6
+ Revision: 908066
- Rebuild against mono4

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1a-11.mga5
+ Revision: 749144
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1a-10.mga5
+ Revision: 682819
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.1a-9.mga4
+ Revision: 508205
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 03 2011 ennael <ennael> 0.6.1a-7.mga1
+ Revision: 63613
- imported package ndesk-dbus

